Bug 356731 - Move ephy to xulrunner
Move ephy to xulrunner
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
: 427461 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 11:36 EDT by Bastien Nocera
Modified: 2008-02-28 12:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 12:21:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot.png (5.96 KB, image/png)
2007-10-29 11:38 EDT, Bastien Nocera
no flags Details
a minimal epiphany xulrunner patch (17.98 KB, patch)
2007-12-04 06:33 EST, Martin Stransky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 503657 None None None Never
GNOME Desktop 508369 None None None Never

  None (edit)
Description Bastien Nocera 2007-10-29 11:36:51 EDT
1. Install firefox and epiphany
2. Launch epiphany and load some pages, check it works well
3. Update epiphany and firefox after a security/bug fix errata

A large number of web pages, such as the one on the freedesktop gitweb (probably
application/xhtml+xml pages) , will show up as malformed XML.

URL:
http://gitweb.freedesktop.org/?p=swfdec/swfdec.git;a=commit;h=20d682af331fa8e8a6b12b1a22c189b4876c0028

Screenshot attached below
Comment 1 Bastien Nocera 2007-10-29 11:38:25 EDT
Created attachment 241961 [details]
Screenshot.png
Comment 2 Matěj Cepl 2007-10-31 11:31:46 EDT
I have no clue, but with firefox-2.0.0.8-1.fc8 on i386 it WORKSFORME. Do you
have something more interesting to add before I close this? Any interesting
plugins? COuld you try to run firefox with -safe-mode and test this?
Comment 3 Bastien Nocera 2007-10-31 11:40:35 EDT
I'm not running firefox, it's a bug in firefox as a framework. It probably
doesn't happen with firefox the web browser.

I believe this happens when the currently referenced firefox files are deleted
from the disk, which the old library (still in memory) will try to use.

eg.:
1. Epiphany starts with firefox 2.0.0.6 as the backend, gecko will use the files
in $(libdir)/firefox-2.0.0.6/
2. Upgrade firefox, keeping epiphany running
3. Files in $(libdir)/firefox-2.0.0.6/ don't exist anymore, and because they
aren't opened, they can't be found by the old running gecko library. No error
messages visible, apart from the inability to see open some web pages.
Comment 4 Bastien Nocera 2007-10-31 12:16:34 EDT
This should be fixed when moving to xulrunner, according to Chris Aillon, so
moving there.
Comment 5 Peter Gordon 2007-11-25 04:35:01 EST
Just for the sake of my curiosity, has there been any updates on Ephy to play
nicely with XULrunner goodness? :) Thanks.
Comment 6 Martin Stransky 2007-11-26 03:08:05 EST
I have some patches but it doesn't work completely yet. Stay tuned and watch
http://fedoraproject.org/wiki/Releases/FeatureXULRunner
Comment 7 Peter Gordon 2007-11-26 21:03:08 EST
Thanks for the update, Martin. It's appreciated greatly!
Comment 8 Martin Stransky 2007-12-04 06:33:37 EST
Created attachment 276851 [details]
a minimal epiphany xulrunner patch

With this patch, epiphany compiles and runs with xulrunner. This is a minimal
patch so some functions are disabled and need rewrite.
Comment 9 Bastien Nocera 2007-12-04 08:52:25 EST
Martin, don't work from tarballs, ephy trunk already has a xulrunner backend (in
addition to the mozilla and webkit ones.
Comment 10 Martin Stransky 2007-12-04 08:58:42 EST
This patch is not intended for usage. I've just tried to compile and run ephy
with xulrunner and check how many changes has to be included.
Comment 11 Christopher Aillon 2007-12-06 09:24:28 EST
The ephy trunk doesn't compile either, though.
Comment 12 Christopher Aillon 2007-12-26 09:07:00 EST
http://bugzilla.gnome.org/show_bug.cgi?id=503657 has a patch which works against
the upstream code, but fails against ours because we ship compat .pc files... I
think we should switch to only shipping the upstream .pc files (and the mozembed
ones and the unstable ones that I filed a separate bug about)
Comment 13 Alex Lancaster 2007-12-28 02:59:50 EST
What's the status on epiphany-extensions?  

http://fedoraproject.org/wiki/Releases/FeatureXULRunner

lists it as "failing" but doesn't list any open bug (yet) to report progress.

Comment 14 Peter Gordon 2007-12-29 18:20:24 EST
(In reply to comment #13)
> What's the status on epiphany-extensions?  
> 
> http://fedoraproject.org/wiki/Releases/FeatureXULRunner
> 
> lists it as "failing" but doesn't list any open bug (yet) to report progress.
> 

The extensions need Epiphany to be properly built against XULrunner, otherwise
the extensions get built against XULrunner and Ephy itself against
Firefox...which is not a good thing. :]

I've edited the Wiki page to comment about that; and I'll enqueue a rebuild for
it once Epiphany/XULrunner is complete. Thanks.
Comment 15 Joachim Frieben 2008-01-01 17:12:28 EST
(In reply to comment #14) 
> The extensions need Epiphany to be properly built against XULrunner, otherwise
> the extensions get built against XULrunner and Ephy itself against
> Firefox...which is not a good thing. :]

There is no firefox-devel package anymore, so epiphany cannot be built against
firefox anyway, and even if there was one it wouldn't since rawhide has a
preview of firefox 3 now which is incompatible with current trunk.
Unfortunately this also applies to xulrunner 1.9 which means that since 2 weeks
ago, the epiphany package in rawhide is not usable anyway.
Comment 16 Peter Gordon 2008-01-02 16:48:34 EST
(In reply to comment #15)
> There is no firefox-devel package anymore, so epiphany cannot be built against
> firefox anyway, and even if there was one it wouldn't since rawhide has a
> preview of firefox 3 now which is incompatible with current trunk.
> Unfortunately this also applies to xulrunner 1.9 which means that since 2 weeks
> ago, the epiphany package in rawhide is not usable anyway.

Forgive my ignorance. I meant to say that the extensions need Epiphany proper to
build (BR: epiphany-devel), so since it is not installable due to the broken
Gecko dependencies, then the extensions cannot be rebuilt.
Comment 17 Christopher Aillon 2008-01-02 22:11:31 EST
I'm building an svn version of epiphany now into rawhide, which should clear up
the deps and actually run, though there may be issues with it.  File new bugs if
that is the case.
Comment 18 Joachim Frieben 2008-01-03 10:04:19 EST
Great job! Task completed with epiphany-2.21.5-0.1.svn7844.fc9 which is up
and running and works for me. Thanks a lot!
A small issue is that plugins in /usr/lib64/mozilla/plugins on my x86_64
box are neither seen nor used by epiphany, e.g. libgnashplugin.so.
Should a separate bug report be submitted for this, and if so, should this
be done for epiphany or gnash? libgnashplugin.so does get used, however,
after copying it to $HOME/mozilla/plugins.
I suppose that global /usr/lib64/xulrunner-1.9pre/plugins would have
worked, too, since both plugins present over there get displayed after
entering "about:config", namely libnullplugin.so and libunixprintplugin.so.
Comment 19 Martin Stransky 2008-01-03 10:24:14 EST
/usr/lib(64)/mozilla/plugins (or /usr/lib(64)/mozilla/plugins-wrapped if you run
nspluginwrapper) is a standard location for all mozilla plugins and all plugins
should be installed here...
Comment 20 Joachim Frieben 2008-01-03 10:38:38 EST
Plugin issue reported as bug 427369. The present bug can probably be closed
now :)
Comment 21 Martin Stransky 2008-01-04 03:45:40 EST
*** Bug 427461 has been marked as a duplicate of this bug. ***
Comment 22 Martin Stransky 2008-01-04 03:48:15 EST
It doesn't compile with the latest trunk...I've updated the upstream BZ.
Comment 23 W. Michael Petullo 2008-01-08 08:55:45 EST
I just tried the new epiphany / xulrunner packages on a PowerPC-based laptop.
I had to install glib2-2.15.0-4.fc9 because of a requirement for g_dpgettext,
though this dependency is not in the spec file (should be glib2 >= first
version with g_dpgettext). After satisfying this dependency, epiphany now fails with,
"Epiphany cannot be used now. Mozilla initialization failed."
"** (epiphany:24842): WARNING **: Could not determine locale!" is written to
the console. firefox-3.0-0.beta2.7.fc9 works fine.
Comment 24 Joachim Frieben 2008-01-08 10:21:30 EST
(In reply to comment #23)
See closed bug 427461. Install xulrunner-1.9-0.beta2.4.fc9 [e.g. from koji],
install it, and everything will work fine.
Comment 25 Alex Lancaster 2008-01-09 09:05:18 EST
OK now that epiphany 2.21.5 has rebuilt successfully:

http://koji.fedoraproject.org/koji/buildinfo?buildID=29786

can somebody rebuild epiphany-extensions against this new epiphany to avoid the
broken deps?  I started to but I couldn't find a corresponding
epiphany-extensions 2.21.5 release in:

http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/
Comment 26 Joachim Frieben 2008-01-09 09:48:00 EST
(In reply to comment #25)
> OK now that epiphany 2.21.5 has rebuilt successfully ..

Actually, it doesn't [anymore] as reported in comment #22.
Comment 27 Martin Stransky 2008-01-09 09:52:59 EST
We need to update epiphany from gnome svn...there's an updated version what
should work.
Comment 28 Alex Lancaster 2008-01-09 09:55:24 EST
(In reply to comment #26)
> (In reply to comment #25)
> > OK now that epiphany 2.21.5 has rebuilt successfully ..
> 
> Actually, it doesn't [anymore] as reported in comment #22.

Well, the current 2.21.5 is still built and in rawhide and can act as a
BuildRequires for epiphany-extensions even if it wouldn't rebuild against the
newer xulrunner.  

But in any case the version of epiphany-extensions needs to be bumped up because
it won't compile against 2.21.5 even if epiphany did work, see my failed build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=30849
Comment 29 Alex Lancaster 2008-01-09 09:56:52 EST
(In reply to comment #27)
> We need to update epiphany from gnome svn...there's an updated version what
> should work.

Isn't this build of 02-Jan already against SVN?

http://koji.fedoraproject.org/koji/buildinfo?buildID=29786

Or do you mean an even more recent SVN of epiphany?
Comment 30 Martin Stransky 2008-01-09 12:05:35 EST
See gnome but at comment 12
Comment 31 Peter Gordon 2008-01-09 16:07:29 EST
(In reply to comment #28)
> But in any case the version of epiphany-extensions needs to be bumped up because
> it won't compile against 2.21.5 even if epiphany did work, see my failed build:
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=30849

Unfortunately, epiphany-extensions has no 2.21.x release; and SVN trunk
currently fails to build against XULrunner. :(

I've filed upstream GNOME BZ 508369 for that; and am attempting to whip up a
patch for the moved headers now.
Comment 32 Joachim Frieben 2008-01-22 18:43:14 EST
After update to xulrunner-1.9-0.beta2.12.nightly20080121.fc9, epiphany
crashes during start-up:

  "EphyBrowser initialization failed for 0x......"
Comment 33 Alex Lancaster 2008-01-22 19:27:07 EST
(In reply to comment #32)
> After update to xulrunner-1.9-0.beta2.12.nightly20080121.fc9, epiphany
> crashes during start-up:
> 
>   "EphyBrowser initialization failed for 0x......"

epiphany needs a rebuild for the new xulrunner?  comment #31 suggests that may
not be able to.
Comment 34 Joachim Frieben 2008-01-26 08:10:10 EST
epiphany-2.21.5-0.1.svn7856.fc9 continues to crash for all xulrunner
builds > 1.9-0.beta2.11.nightly20080115.fc9.
Comment 35 Martin Stransky 2008-01-28 03:08:04 EST
(In reply to comment #34)
> epiphany-2.21.5-0.1.svn7856.fc9 continues to crash for all xulrunner
> builds > 1.9-0.beta2.11.nightly20080115.fc9.

It's because it's built w/o rpath with mozilla home dir and gecko crashes during
initialization. We need to investigate it.
Comment 36 Michel Alexandre Salim 2008-02-20 08:43:37 EST
Would it be less work to build Epiphany against WebKit instead? There is not 
much point in shipping two Gecko-based browsers.
Comment 37 Bastien Nocera 2008-02-20 10:54:54 EST
(In reply to comment #36)
> Would it be less work to build Epiphany against WebKit instead? There is not 
> much point in shipping two Gecko-based browsers.

Firefox is very far from being usable for me, and the WebKit backend doesn't
support plugins, so I'd rather it worked before F9.
Comment 38 Joachim Frieben 2008-02-20 11:19:51 EST
epiphany still crashes with xulrunner-1.9-0.beta3.23.nightly20080217.fc9.
Btw, xulrunner is required for other GNOME applications like yelp anyway,
thus making WebKit the default backend for epiphany does not appear to
be obvious road to go.
Comment 39 Michel Alexandre Salim 2008-02-20 16:52:26 EST
We need to get good xulrunner support, yes; I was thinking of WebKit as an insurance policy. Not having 
all the browsers use the same engine. The lack of support for plugins is a deal-breaker, though.

I guess there's Opera and running Firefox from an upstream tarball for those times when Firefox / 
Epiphany is broken.
Comment 40 Martin Stransky 2008-02-28 12:21:57 EST
Should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.